// WARNING! All changes made in this file will be lost!
// Created from 'premium.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#pragma once

#include "ui/style/style_core.h"

#include "styles/style_widgets.h"

namespace style {
namespace internal {

void init_style_premium(int scale);

} // namespace internal

struct TextStyle;
struct FlatLabel;
struct Box;
struct RoundImageCheckbox;
struct UserpicButton;
struct IconButton;
struct Table;

struct PremiumLimits {
	style::FlatLabel boxLabel;
	style::color nonPremiumBg;
	style::color nonPremiumFg;
	bool gradientFromLeft;
};

struct PremiumBubble {
	int widthLimit;
	int height;
	style::margins padding;
	int skip;
	int penWidth;
	int textSkip;
	style::size tailSize;
	style::font font;
};

struct PremiumCover {
	style::size starSize;
	int starTopSkip;
	style::margins titlePadding;
	style::font titleFont;
	style::FlatLabel about;
};

struct PremiumOption {
	style::margins rowPadding;
	style::margins rowMargins;
	int rowHeight;
	int borderWidth;
	int borderRadius;
	int subtitleTop;
	int textLeft;
	int badgeHeight;
	int badgeRadius;
	style::margins badgeMargins;
	style::point badgeShift;
};

} // namespace style

namespace st {
extern const style::TextStyle &premiumAboutTextStyle;
extern const style::PremiumCover &defaultPremiumCover;
extern const style::FlatLabel &userPremiumCoverAbout;
extern const style::PremiumCover &userPremiumCover;
extern const style::FlatLabel &defaultPremiumBoxLabel;
extern const style::PremiumLimits &defaultPremiumLimits;
extern const style::Box &premiumPreviewBox;
extern const style::Box &premiumPreviewDoubledLimitsBox;
extern const style::margins &premiumPreviewAboutTitlePadding;
extern const style::FlatLabel &premiumPreviewAboutTitle;
extern const style::FlatLabel &premiumPreviewAbout;
extern const style::margins &premiumPreviewAboutPadding;
extern const style::FlatLabel &premiumPreviewButtonLabel;
constexpr int premiumSlideDuration = 200;
extern const style::size &premiumVideoStarSize;
extern const int &premiumPreviewHeight;
extern const int &premiumDot;
extern const style::margins &premiumDotPadding;
extern const style::margins &premiumDotsMargin;
extern const int &premiumVideoWidth;
extern const style::PremiumBubble &defaultPremiumBubble;
extern const int &premiumLineRadius;
extern const int &premiumLineTextSkip;
extern const style::margins &premiumInfographicPadding;
extern const style::icon &premiumIconChats;
extern const style::icon &premiumIconFiles;
extern const style::icon &premiumIconFolders;
extern const style::icon &premiumIconGroups;
extern const style::icon &premiumIconLinks;
extern const style::icon &premiumIconPins;
extern const style::icon &premiumIconAccounts;
extern const style::icon &premiumIconBoost;
extern const style::RoundImageCheckbox &premiumAccountsCheckbox;
extern const style::size &premiumAccountsLabelSize;
extern const style::margins &premiumAccountsLabelPadding;
constexpr int premiumAccountsLabelRadius = 6;
extern const int &premiumAccountsNameTop;
extern const style::margins &premiumAccountsPadding;
extern const int &premiumAccountsHeight;
extern const style::PremiumOption &premiumSubscriptionOption;
extern const style::PremiumOption &premiumGiftOption;
extern const style::margins &premiumGiftUserpicPadding;
extern const style::margins &premiumGiftTitlePadding;
extern const style::margins &premiumGiftAboutPadding;
extern const style::margins &premiumGiftTermsPadding;
extern const style::FlatLabel &premiumGiftTerms;
extern const style::Box &premiumGiftBox;
extern const int &boostSkipTop;
extern const style::PremiumLimits &boostLimits;
extern const style::PremiumBubble &boostBubble;
extern const int &boostTitleSkip;
extern const style::FlatLabel &boostTitle;
extern const int &boostTextSkip;
extern const style::FlatLabel &boostText;
extern const int &boostBottomSkip;
extern const style::Box &boostBox;
extern const style::margins &boostReplaceUserpicsPadding;
extern const int &boostReplaceUserpicsSkip;
extern const style::UserpicButton &boostReplaceUserpic;
extern const style::icon &boostReplaceIcon;
extern const int &boostReplaceIconSkip;
extern const int &boostReplaceIconOutline;
extern const style::point &boostReplaceIconAdd;
extern const style::icon &boostReplaceArrow;
extern const int &giveawayGiftCodeTopHeight;
extern const style::FlatLabel &giveawayGiftCodeLink;
extern const style::icon &giveawayGiftCodeLinkCopy;
extern const int &giveawayGiftCodeLinkHeight;
extern const int &giveawayGiftCodeLinkCopyWidth;
extern const style::margins &giveawayGiftCodeLinkMargin;
extern const style::IconButton &boostLinkStatsButton;
extern const style::Table &giveawayGiftCodeTable;
extern const style::margins &giveawayGiftCodeTableMargin;
extern const style::FlatLabel &giveawayGiftCodeLabel;
extern const style::margins &giveawayGiftCodeLabelMargin;
extern const style::FlatLabel &giveawayGiftCodeValue;
extern const style::margins &giveawayGiftCodeValueMargin;
extern const style::margins &giveawayGiftCodePeerMargin;
extern const style::UserpicButton &giveawayGiftCodeUserpic;
extern const style::point &giveawayGiftCodeNamePosition;
extern const style::PremiumCover &giveawayGiftCodeCover;
extern const style::FlatLabel &giveawayGiftCodeFooter;
extern const style::margins &giveawayGiftCodeFooterMargin;
extern const style::Box &giveawayGiftCodeBox;
extern const style::FlatLabel &giveawayRefundedLabel;
extern const style::margins &giveawayRefundedPadding;
} // namespace st
