// WARNING! All changes made in this file will be lost!
// Created from 'statistics.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#include "style_statistics.h"

#include "styles/palette.h"
#include "styles/style_basic.h"
#include "styles/style_widgets.h"
#include "styles/style_layers.h"
#include "styles/style_intro.h"
#include "styles/style_boxes.h"
#include "styles/style_menu_icons.h"
#include "styles/style_premium.h"
#include "styles/style_chat_helpers.h"
#include "styles/style_window.h"

namespace {

bool inited = false;

class Module_style_statistics : public style::internal::ModuleBase {
public:
	Module_style_statistics() { style::internal::registerModule(this); }

	void start(int scale) override {
		style::internal::init_style_statistics(scale);
	}
};
Module_style_statistics registrator;

style::margins _statisticsLayerOverviewMargins = { 0, 0, 0, 0 };
style::margins _statisticsLayerMargins = { 0, 0, 0, 0 };
int _statisticsChartHeight = 0;
style::margins _statisticsChartEntryPadding = { 0, 0, 0, 0 };
int _statisticsDetailsArrowShift = 0;
style::margins _statisticsDetailsPopupMargins = { 0, 0, 0, 0 };
style::margins _statisticsDetailsPopupPadding = { 0, 0, 0, 0 };
int _statisticsDetailsPopupMidLineSpace = 0;
int _statisticsDetailsDotRadius = 0;
int _statisticsChartLineWidth = 0;
int _statisticsChartFooterSkip = 0;
int _statisticsChartFooterHeight = 0;
int _statisticsChartFooterBetweenSide = 0;
int _statisticsChartFooterSideWidth = 0;
int _statisticsChartFooterArrowHeight = 0;
int _statisticsChartFooterSideRadius = 0;
int _statisticsChartRulerCaptionSkip = 0;
int _statisticsChartBottomCaptionHeight = 0;
int _statisticsChartBottomCaptionSkip = 0;
int _statisticsChartBottomCaptionMaxWidth = 0;
style::margins _statisticsChartFlatCheckboxMargins = { 0, 0, 0, 0 };
int _statisticsChartFlatCheckboxCheckWidth = 0;
int _statisticsChartFlatCheckboxShrinkkWidth = 0;
style::margins _statisticsFilterButtonsPadding = { 0, 0, 0, 0 };
style::TextStyle _statisticsDetailsPopupHeaderStyle = { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } };
style::TextStyle _statisticsDetailsPopupStyle = { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } };
style::TextStyle _statisticsDetailsBottomCaptionStyle = { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } };
style::font _statisticsPieChartFont = { Qt::Uninitialized };
int _statisticsPieChartPartOffset = 0;
int _statisticsChartHeaderHeight = 0;
style::margins _statisticsChartHeaderPadding = { 0, 0, 0, 0 };
style::TextStyle _statisticsHeaderTitleTextStyle = { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } };
style::TextStyle _statisticsHeaderDatesTextStyle = { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } };
style::RoundButton _statisticsHeaderButton = { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0, 0, { 0, 0, 0, 0 }, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { { Qt::Uninitialized }, 0, 0 } };
style::FlatLabel _statisticsLoadingSubtext = { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } };
style::FlatLabel _statisticsOverviewValue = { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } };
style::margins _statisticsOverviewValuePadding = { 0, 0, 0, 0 };
style::margins _statisticsOverviewSecondValuePadding = { 0, 0, 0, 0 };
style::FlatLabel _statisticsOverviewSecondValue = { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } };
style::FlatLabel _statisticsOverviewSubtext = { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } };
int _statisticsOverviewMidSkip = 0;
int _statisticsOverviewRightSkip = 0;
int _statisticsRecentPostRowHeight = 0;
style::SettingsButton _statisticsRecentPostButton = { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } }, 0, { 0, 0, 0, 0 }, 0, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0, 0, 0, 0, 0, 0, 0, { Qt::Uninitialized }, 0 }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0, 0, 0, 0, 0, 0, 0, { Qt::Uninitialized }, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::SettingsButton _statisticsShowMoreButton = { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } }, 0, { 0, 0, 0, 0 }, 0, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0, 0, 0, 0, 0, 0, 0, { Qt::Uninitialized }, 0 }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0, 0, 0, 0, 0, 0, 0, { Qt::Uninitialized }, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::point _statisticsShowMoreButtonArrowPosition = { 0, 0 };
int _statisticsShowMoreButtonArrowSize = 0;
style::margins _statisticsLimitsDividerPadding = { 0, 0, 0, 0 };
style::margins _statisticsLimitsLinePadding = { 0, 0, 0, 0 };
style::margins _boostsLayerOverviewMargins = { 0, 0, 0, 0 };
style::margins _boostsOverviewValuePadding = { 0, 0, 0, 0 };
style::margins _boostsChartHeaderPadding = { 0, 0, 0, 0 };
style::PeerList _boostsListBox = { { 0, 0, 0, 0 }, { Qt::Uninitialized }, { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } }, { 0, 0, 0, { 0, 0 }, { 0, 0 }, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0, 0, 0 }, { { Qt::Uninitialized }, 0, 0 } }, { 0, 0, 0, 0, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0., 0, 0., 0., { Qt::Uninitialized } } }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized } } };
int _boostsLinkSkip = 0;
style::margins _boostsLinkFieldPadding = { 0, 0, 0, 0 };
style::SettingsButton _boostsButton = { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } }, 0, { 0, 0, 0, 0 }, 0, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0, 0, 0, 0, 0, 0, 0, { Qt::Uninitialized }, 0 }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, 0, 0, 0, 0, 0, 0, 0, 0, 0, { Qt::Uninitialized }, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };

} // namespace

namespace st {
const style::margins &statisticsLayerOverviewMargins(_statisticsLayerOverviewMargins);
const style::margins &statisticsLayerMargins(_statisticsLayerMargins);
const int &statisticsChartHeight(_statisticsChartHeight);
const style::margins &statisticsChartEntryPadding(_statisticsChartEntryPadding);
const int &statisticsDetailsArrowShift(_statisticsDetailsArrowShift);
const style::margins &statisticsDetailsPopupMargins(_statisticsDetailsPopupMargins);
const style::margins &statisticsDetailsPopupPadding(_statisticsDetailsPopupPadding);
const int &statisticsDetailsPopupMidLineSpace(_statisticsDetailsPopupMidLineSpace);
const int &statisticsDetailsDotRadius(_statisticsDetailsDotRadius);
const int &statisticsChartLineWidth(_statisticsChartLineWidth);
const int &statisticsChartFooterSkip(_statisticsChartFooterSkip);
const int &statisticsChartFooterHeight(_statisticsChartFooterHeight);
const int &statisticsChartFooterBetweenSide(_statisticsChartFooterBetweenSide);
const int &statisticsChartFooterSideWidth(_statisticsChartFooterSideWidth);
const int &statisticsChartFooterArrowHeight(_statisticsChartFooterArrowHeight);
const int &statisticsChartFooterSideRadius(_statisticsChartFooterSideRadius);
const int &statisticsChartRulerCaptionSkip(_statisticsChartRulerCaptionSkip);
const int &statisticsChartBottomCaptionHeight(_statisticsChartBottomCaptionHeight);
const int &statisticsChartBottomCaptionSkip(_statisticsChartBottomCaptionSkip);
const int &statisticsChartBottomCaptionMaxWidth(_statisticsChartBottomCaptionMaxWidth);
const style::margins &statisticsChartFlatCheckboxMargins(_statisticsChartFlatCheckboxMargins);
const int &statisticsChartFlatCheckboxCheckWidth(_statisticsChartFlatCheckboxCheckWidth);
const int &statisticsChartFlatCheckboxShrinkkWidth(_statisticsChartFlatCheckboxShrinkkWidth);
const style::margins &statisticsFilterButtonsPadding(_statisticsFilterButtonsPadding);
const style::TextStyle &statisticsDetailsPopupHeaderStyle(_statisticsDetailsPopupHeaderStyle);
const style::TextStyle &statisticsDetailsPopupStyle(_statisticsDetailsPopupStyle);
const style::TextStyle &statisticsDetailsBottomCaptionStyle(_statisticsDetailsBottomCaptionStyle);
const style::font &statisticsPieChartFont(_statisticsPieChartFont);
const int &statisticsPieChartPartOffset(_statisticsPieChartPartOffset);
const int &statisticsChartHeaderHeight(_statisticsChartHeaderHeight);
const style::margins &statisticsChartHeaderPadding(_statisticsChartHeaderPadding);
const style::TextStyle &statisticsHeaderTitleTextStyle(_statisticsHeaderTitleTextStyle);
const style::TextStyle &statisticsHeaderDatesTextStyle(_statisticsHeaderDatesTextStyle);
const style::RoundButton &statisticsHeaderButton(_statisticsHeaderButton);
const style::FlatLabel &statisticsLoadingSubtext(_statisticsLoadingSubtext);
const style::FlatLabel &statisticsOverviewValue(_statisticsOverviewValue);
const style::margins &statisticsOverviewValuePadding(_statisticsOverviewValuePadding);
const style::margins &statisticsOverviewSecondValuePadding(_statisticsOverviewSecondValuePadding);
const style::FlatLabel &statisticsOverviewSecondValue(_statisticsOverviewSecondValue);
const style::FlatLabel &statisticsOverviewSubtext(_statisticsOverviewSubtext);
const int &statisticsOverviewMidSkip(_statisticsOverviewMidSkip);
const int &statisticsOverviewRightSkip(_statisticsOverviewRightSkip);
const int &statisticsRecentPostRowHeight(_statisticsRecentPostRowHeight);
const style::SettingsButton &statisticsRecentPostButton(_statisticsRecentPostButton);
const style::SettingsButton &statisticsShowMoreButton(_statisticsShowMoreButton);
const style::point &statisticsShowMoreButtonArrowPosition(_statisticsShowMoreButtonArrowPosition);
const int &statisticsShowMoreButtonArrowSize(_statisticsShowMoreButtonArrowSize);
const style::margins &statisticsLimitsDividerPadding(_statisticsLimitsDividerPadding);
const style::margins &statisticsLimitsLinePadding(_statisticsLimitsLinePadding);
const style::margins &boostsLayerOverviewMargins(_boostsLayerOverviewMargins);
const style::margins &boostsOverviewValuePadding(_boostsOverviewValuePadding);
const style::margins &boostsChartHeaderPadding(_boostsChartHeaderPadding);
const style::PeerList &boostsListBox(_boostsListBox);
const int &boostsLinkSkip(_boostsLinkSkip);
const style::margins &boostsLinkFieldPadding(_boostsLinkFieldPadding);
const style::SettingsButton &boostsButton(_boostsButton);
} // namespace st

namespace style {
namespace internal {

namespace {
int pxm26 = -26;
int pxm14 = -14;
int pxm2 = -2;
int px0 = 0;
int px1 = 1;
int px2 = 2;
int px3 = 3;
int px4 = 4;
int px5 = 5;
int px6 = 6;
int px7 = 7;
int px8 = 8;
int px9 = 9;
int px10 = 10;
int px11 = 11;
int px12 = 12;
int px13 = 13;
int px14 = 14;
int px15 = 15;
int px17 = 17;
int px18 = 18;
int px20 = 20;
int px22 = 22;
int px24 = 24;
int px26 = 26;
int px29 = 29;
int px32 = 32;
int px36 = 36;
int px40 = 40;
int px42 = 42;
int px44 = 44;
int px50 = 50;
int px52 = 52;
int px56 = 56;
int px60 = 60;
int px70 = 70;
int px152 = 152;
int px200 = 200;
int px256 = 256;
void initPxValues(int scale) {
	pxm26 = ConvertScale(-26, scale);
	pxm14 = ConvertScale(-14, scale);
	pxm2 = ConvertScale(-2, scale);
	px0 = ConvertScale(0, scale);
	px1 = ConvertScale(1, scale);
	px2 = ConvertScale(2, scale);
	px3 = ConvertScale(3, scale);
	px4 = ConvertScale(4, scale);
	px5 = ConvertScale(5, scale);
	px6 = ConvertScale(6, scale);
	px7 = ConvertScale(7, scale);
	px8 = ConvertScale(8, scale);
	px9 = ConvertScale(9, scale);
	px10 = ConvertScale(10, scale);
	px11 = ConvertScale(11, scale);
	px12 = ConvertScale(12, scale);
	px13 = ConvertScale(13, scale);
	px14 = ConvertScale(14, scale);
	px15 = ConvertScale(15, scale);
	px17 = ConvertScale(17, scale);
	px18 = ConvertScale(18, scale);
	px20 = ConvertScale(20, scale);
	px22 = ConvertScale(22, scale);
	px24 = ConvertScale(24, scale);
	px26 = ConvertScale(26, scale);
	px29 = ConvertScale(29, scale);
	px32 = ConvertScale(32, scale);
	px36 = ConvertScale(36, scale);
	px40 = ConvertScale(40, scale);
	px42 = ConvertScale(42, scale);
	px44 = ConvertScale(44, scale);
	px50 = ConvertScale(50, scale);
	px52 = ConvertScale(52, scale);
	px56 = ConvertScale(56, scale);
	px60 = ConvertScale(60, scale);
	px70 = ConvertScale(70, scale);
	px152 = ConvertScale(152, scale);
	px200 = ConvertScale(200, scale);
	px256 = ConvertScale(256, scale);
}

} // namespace

void init_style_statistics(int scale) {
	if (inited) return;
	inited = true;

	init_style_basic(scale);
	init_style_window(scale);
	init_style_widgets(scale);

	initPxValues(scale);

	_statisticsLayerOverviewMargins = { px0, px17, px0, px9 };
	_statisticsLayerMargins = { px20, px0, px20, px0 };
	_statisticsChartHeight = px200;
	_statisticsChartEntryPadding = { px0, px13, px0, px2 };
	_statisticsDetailsArrowShift = px3;
	_statisticsDetailsPopupMargins = { px12, px8, px12, px11 };
	_statisticsDetailsPopupPadding = { px6, px6, px6, px6 };
	_statisticsDetailsPopupMidLineSpace = px4;
	_statisticsDetailsDotRadius = px5;
	_statisticsChartLineWidth = px2;
	_statisticsChartFooterSkip = px11;
	_statisticsChartFooterHeight = px42;
	_statisticsChartFooterBetweenSide = px5;
	_statisticsChartFooterSideWidth = px10;
	_statisticsChartFooterArrowHeight = px10;
	_statisticsChartFooterSideRadius = px6;
	_statisticsChartRulerCaptionSkip = px4;
	_statisticsChartBottomCaptionHeight = px15;
	_statisticsChartBottomCaptionSkip = px6;
	_statisticsChartBottomCaptionMaxWidth = px44;
	_statisticsChartFlatCheckboxMargins = { px4, px3, px4, px5 };
	_statisticsChartFlatCheckboxCheckWidth = px3;
	_statisticsChartFlatCheckboxShrinkkWidth = px4;
	_statisticsFilterButtonsPadding = { px0, px12, px0, px8 };
	_statisticsDetailsPopupHeaderStyle = { { px12, 16, 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle };
	_statisticsDetailsPopupStyle = { { px12, 0, 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle };
	_statisticsDetailsBottomCaptionStyle = { { px10, 0, 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle };
	_statisticsPieChartFont = { px20, 0, 0 };
	_statisticsPieChartPartOffset = px8;
	_statisticsChartHeaderHeight = px36;
	_statisticsChartHeaderPadding = { px2, px0, px0, px10 };
	_statisticsHeaderTitleTextStyle = { { px13, 0, 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle };
	_statisticsHeaderDatesTextStyle = { { px11, 0, 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle };
	_statisticsHeaderButton = { st::lightButtonFg, st::lightButtonFgOver, st::lightButtonBg, st::lightButtonBgOver, st::lightButtonFg, st::lightButtonFgOver, px7, pxm14, px20, px0, { px0, px0, px0, px0 }, px2, { std::in_place }, { std::in_place }, { px0, px0 }, { px11, 16, 0 }, { st::lightButtonBgRipple, 650, 200 } };
	_statisticsLoadingSubtext = { { px0, px0, px0, px0 }, px256, style::al_top, st::windowSubTextFg, px0, st::defaultTextStyle, st::defaultTextPalette };
	_statisticsOverviewValue = { { px0, px0, px0, px0 }, px0, style::al_topleft, st::windowFg, px60, { { px14, 0, 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle }, st::defaultTextPalette };
	_statisticsOverviewValuePadding = { px2, px1, px0, px0 };
	_statisticsOverviewSecondValuePadding = { px5, px3, px0, px0 };
	_statisticsOverviewSecondValue = { { px0, px0, px0, px0 }, px256, style::al_topleft, st::windowFg, px0, { { px11, 0, 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle }, st::defaultTextPalette };
	_statisticsOverviewSubtext = { { px0, px0, px0, px0 }, px152, style::al_topleft, st::windowFg, px32, st::statisticsHeaderDatesTextStyle, st::defaultTextPalette };
	_statisticsOverviewMidSkip = px50;
	_statisticsOverviewRightSkip = px14;
	_statisticsRecentPostRowHeight = px40;
	_statisticsRecentPostButton = { st::windowBoldFg, st::windowBoldFgOver, st::windowBg, st::windowBgOver, st::boxTextStyle, st::defaultSettingsRightLabel, px56, { px7, px0, px24, px0 }, px0, st::defaultSettingsToggle, st::defaultSettingsToggleOver, px22, st::defaultRippleAnimation };
	_statisticsShowMoreButton = { st::lightButtonFg, st::lightButtonFgOver, st::windowBg, st::windowBgOver, st::boxTextStyle, st::defaultSettingsRightLabel, px20, { px70, px10, px22, px8 }, px0, st::defaultSettingsToggle, st::defaultSettingsToggleOver, px22, st::defaultRippleAnimation };
	_statisticsShowMoreButtonArrowPosition = { px29, px13 };
	_statisticsShowMoreButtonArrowSize = px7;
	_statisticsLimitsDividerPadding = { px22, pxm26, px22, px22 };
	_statisticsLimitsLinePadding = { px0, pxm2, px0, px0 };
	_boostsLayerOverviewMargins = { px0, px12, px0, px4 };
	_boostsOverviewValuePadding = { px2, px0, px0, px0 };
	_boostsChartHeaderPadding = { px2, px1, px0, px1 };
	_boostsListBox = { { px0, px7, px0, px7 }, st::contactsBg, st::defaultPeerListAbout, { px0, px0, px52, { px18, px4 }, { px70, px6 }, st::semiboldTextStyle, st::contactsNameFg, st::windowActiveTextFg, { px70, px26 }, px42, px0, st::defaultPeerListButton, st::defaultPeerListCheckbox, st::menuIconFg, st::windowSubTextFg, st::windowSubTextFgOver, st::windowActiveTextFg } };
	_boostsLinkSkip = px5;
	_boostsLinkFieldPadding = { px22, px7, px22, px12 };
	_boostsButton = { st::lightButtonFg, st::lightButtonFgOver, st::windowBg, st::windowBgOver, st::boxTextStyle, st::defaultSettingsRightLabel, px20, { px22, px10, px22, px8 }, px0, st::defaultSettingsToggle, st::defaultSettingsToggleOver, px22, st::defaultRippleAnimation };
}

} // namespace internal
} // namespace style
